<?php

$hasheading = ($PAGE->heading);
$hasnavbar = (empty($PAGE->layout_options['nonavbar']) && $PAGE->has_navbar());
$hasfooter = (empty($PAGE->layout_options['nofooter']));
$hassidepre = (empty($PAGE->layout_options['noblocks']) && $PAGE->blocks->region_has_content('side-pre', $OUTPUT));
$haslogininfo = (empty($PAGE->layout_options['nologininfo']));

$showsidepre = ($hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT));

$custommenu = $OUTPUT->custom_menu();
$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));

$bodyclasses = array();
if (!$showsidepre) {
    $bodyclasses[] = 'content-only';
}
if ($hascustommenu) {
    $bodyclasses[] = 'has_custom_menu';
}

echo $OUTPUT->doctype() ?>
<html <?php echo $OUTPUT->htmlattributes() ?>>
<head>
    <title><?php echo $PAGE->title ?></title>
    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
    <?php echo $OUTPUT->standard_head_html() ?>
</head>
<body id="<?php echo $PAGE->bodyid ?>" class="<?php echo $PAGE->bodyclasses.' '.join(' ', $bodyclasses) ?>">
<?php echo $OUTPUT->standard_top_of_body_html() ?>

<div id="page">
<?php if ($hasheading || $hasnavbar) { ?>
    <div id="page-header">
        <?php if ($hasheading) { ?>
         <div class="headermain"><a href="<?php echo $CFG->wwwroot ?>/"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/logo-qmplus.png' ?>" alt="<?php echo $heading ?>" /></a></div>
        <div class="headerqmul"><a href="http://www.qmul.ac.uk" target="_blank"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/bg-header.png' ?>" alt="<?php echo $heading ?>" /></a></div>
        <div class="headermenu"><?php
            if ($haslogininfo) {
                echo $OUTPUT->login_info();
            }
            if (!empty($PAGE->layout_options['langmenu'])) {
                echo $OUTPUT->lang_menu();
            }
            echo $PAGE->headingmenu
        ?>
        	<div class="topsearch">
        	<form action="<?php echo $CFG->wwwroot ?>/course/search.php" method="get">
                    <input type="text" size="12" name="search" alt="Search Modules" value="Search Modules" onFocus="this.value = this.value=='Search Modules'?'':this.value;" onBlur="this.value = this.value==''?'Search Modules':this.value;" />
                    <input type="submit" value="Go" title="Go" />
            </form>
        	</div>
        </div><?php } ?>
        <?php if ($hascustommenu) { ?>
        <div id="moodlemenu">
        	<div id="custommenu"><?php echo $custommenu; ?></div>
            <div id="todaydate"><?php echo userdate(time(), '%A, %d %B %Y, %H:%M'); ?></div>
        </div>
        <?php } ?>
        
    </div>
<?php } ?>
<!-- END OF HEADER -->

    <div id="page-content" class="clearfix">
    	<?php if ($hasnavbar) { ?>
            <div class="navbar clearfix">
                <div class="breadcrumb"><?php echo $OUTPUT->navbar(); ?></div>
                <div class="navbutton"> <?php echo $PAGE->button; ?></div>
            </div>
        <?php } ?>
        <div id="report-main-content">
            <div class="region-content">
                <?php echo core_renderer::MAIN_CONTENT_TOKEN ?>
            </div>
        </div>
        <?php if ($hassidepre) { ?>
        <div id="report-region-wrap">
            <div id="report-region-pre" class="block-region">
                <div class="region-content">
                    <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                </div>
            </div>
        </div>
        <?php } ?>
    </div>

<!-- START OF FOOTER -->
    <?php if ($hasfooter) { ?>
    <div id="page-footer" class="clearfix">
        <div id="footer-left">
		<?php
        echo $OUTPUT->login_info();
        ?>
        </div>
        <!-- <ul>
        	<li><a href="http://www.facebook.com/OfficialQMUL" target="_blank"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/icon-facebook.png' ?>" alt="Facebook" /></a></li>
            <li><a href="http://twitter.com/#!/QMUL/" target="_blank"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/icon-twitter.png' ?>" alt="Twitter" /></a></li>
            <li><a href="http://www.flickr.com/photos/qmul" target="_blank"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/icon-flicker.png' ?>" alt="Flicker" /></a></li>
            <li><a href="http://www.qmul.ac.uk/about/youtube/" target="_blank"><img src="<?php echo $CFG->wwwroot .'/theme/'. current_theme().'/pix/icon-youtube.png' ?>" alt="You Tube" /></a></li>-->
        
        <div id="footer-right">
        	<p>&copy; Queen Mary, University of London</p>
            <p><a href="http://qmplus.qmul.ac.uk/mod/page/view.php?id=85412">Site Policies & Guidelines</a> | <a href="javascript:(function()%7Bd=document;jf=d.createElement('script');jf.src=('https:'==document.location.protocol?'https://ssl.atbar.org/c':'http://c.atbar.org')+'/ATBar2QMPlus/ATBar.min.user.js';jf.type='text/javascript';jf.id='ToolBar';d.getElementsByTagName('head')%5B0%5D.appendChild(jf);%7D)();">Accessibility Toolbar</a></p>
        </div>
    </div>
    <?php } ?>
</div>
<?php echo $OUTPUT->standard_end_of_body_html() ?>
</body>
</html>